package com.jxml.quick.access;
import com.jxml.quick.*;
import com.jxml.quick.tf.*;

public class QMALAccess extends QAccess
{
    public boolean readable(QTargetFactory parentFactory, QContext context)
    {
	return true;
    }

    public QIterator createIterator()
    {
	return new QSimpleIterator();
    }

    public void setIteratorParent(QIterator it, 
				  Object parent, 
				  QTargetFactory parentFactory,
				  QContext context)
	throws QPE
    {
	((QSimpleIterator)it).setCurrent(parent);
    }
}
